from common import (
    __version__,
    configure,
    )


configure(
    name='maas-client',
    description="MAAS command-line client.",
    install_requires=[
        "bzr >= 2.6.0",
        "httplib2 >= 0.8",
        "maas-apiclient >= %s" % __version__,
    ],
    tests_require=[
        "maas-testing >= %s" % __version__,
        "mock >= 1.0.1",
        "testtools >= 0.9.32",
        "twisted >= 13.0.0",
    ],
    entry_points={
        "console_scripts": {
            "maas = maascli:main",
        },
    }
)
