# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Celery demo settings for the maas project: region settings."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
)

str = None

__metaclass__ = type


import os

from maas import import_settings
import maasdevelop.common.celeryconfig_demo
import maasserver.worker.config
from maastesting import root

# Extend base settings.
import_settings(maasserver.worker.config)
import_settings(maasdevelop.common.celeryconfig_demo)

CELERYD_LOG_FILE = os.path.join(
    root, 'logs/region-worker/current')
