# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Celery demo settings for the maas project: cluster settings."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
)

str = None

__metaclass__ = type


import os

import maascluster.worker.config
import maasdevelop.common.celeryconfig_demo
from maastesting import root
from provisioningserver.utils import import_settings

# Extend base settings.
import_settings(maascluster.worker.config)
import_settings(maasdevelop.common.celeryconfig_demo)

CELERYD_LOG_FILE = os.path.join(
    root, 'logs/cluster-worker/current')

CELERYBEAT_SCHEDULE_FILENAME = os.path.join(
    root, 'run/celerybeat-cluster-schedule')
