from common import configure


configure(
    name='maas-testing',
    description="MAAS testing infrastructure.",
    install_requires=[
        "bzr >= 2.6.0",
        "celery >= 2.5.3",
        "django >= 1.5.4",
        "fixtures >= 0.3.14",
        "lockfile >= 0.8",
        "lxml >= 3.2.0",
        "mock >= 1.0.1",
        "netaddr >= 0.7.7",
        "nose >= 1.1.2",
        "postgresfixture >= 0.2.1",
        "psycopg2 >= 2.4.5",
        "rabbitfixture == 0.3.5",
        "selenium >= 2.39",
        "six >= 1.3.0",
        "sst == 0.2.2",
        "testresources >= 0.2.5",
        "testscenarios >= 0.3",
        "testtools >= 0.9.32",
    ],
)
